using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Diagnostics.CodeAnalysis;

namespace Api.Database.Entities;

[Table("Subjects")]
public class Subject : BaseEntity
{
    [Column("Name")]
    [NotNull]
    [MaxLength(200)]
    public string? Name { get; set; }

    [Column("ShortName")]
    [NotNull]
    [MaxLength(10)]
    public string? ShortName { get; set; }
}
